Bug 88769 - No output from 'man -k postfix' in RH 9.
No output from 'man -k postfix' in RH 9.
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: man (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-13 16:36 EDT by nt.guilde
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version: 1.5m2-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-26 19:38:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description nt.guilde 2003-04-13 16:36:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3) Gecko/20030312

Description of problem:
In 'makewhatis', function handle_entire_line() sees the following strings for
the commands in 'postfix-1.1.11-11' :
...
postalias \Postfix alias database maintenance
postcat \show Postfix queue file contents
postconf \Postfix configuration utility
postdrop \Postfix mail posting utility
postfix Postfix control program
...

But,

if (!match(x, / - /))
                return;

rejects them, and no entry is made in /var/cache/man/whatis.
  This behaviour has already been signaled for RH 8.0 ; the submitter thinks
he remembers having received a mail claiming the error has been corrected
in man-1.5k-6.



Version-Release number of selected component (if applicable):
man-1.5k-6

How reproducible:
Always

Steps to Reproduce:
1.man -k postfix
2.
3.
    

Actual Results:  No output from 'man -k postfix'

Additional info:
Comment 1 Eido Inoue 2004-01-26 19:38:11 EST
makewhatis fixed in 1.5m2

Note You need to log in before you can comment on or make changes to this bug.